;
;	>>> ISO-System-Bank1 by JAC! <<<
;
;	Created for Sillyventure 2011 in Gdansk.
;
;	@com.wudsn.ide.asm.mainsourcefile=ISO.asm

;===============================================================

	.proc flash
	
;	Compute player flash pattern based on flash_cnt.
;	IN: <None>
;	OUT: <A>=$00...$0f, flashing, <X> = $00 or $ff, <C>=1 if flashing is active
;	
	.proc get_color_and_pattern
	ldx #0
	lda flash_cnt
	bpl positive
	cmp #-32
	bcc show
	bcs skip
positive
	cmp #32
	bcs skip
show	and #1
	bne skip
	dex
skip
	lda flash_cnt		;Flash background
	beq no_flash
	and #$1f
	cmp #$10
	bcc *+4
	eor #$1f
	sec
	rts
no_flash
	clc
	rts
	.endp			;End of get_color_and_pattern

	.endp			;End of fade

	.proc flash_fade
in	lda #64
	.byte $2c
out
	lda #-64
with	mvx #flash_cnt text_cnt	;Wait for text_cnt to reach $ff
	sta flash_cnt
	rts
	.endp			;End of flash_fade
;===============================================================

