
;	>>> ISO-Text-Script by JAC! <<<
;
;	Created for Sillyventure 2011 in Gdansk.
;
;	@com.wudsn.ide.asm.mainsourcefile=ISO.asm

	.macro m_start_local
	.print " "
	.print "m_start_local: logo of :1 at ",start, " aligned at ", start & 3
	m_wait_sound start
	.endm

	.macro m_wait_call
	.print "m_wait_call: effect :2 at ",:1, " aligned at ", [:1] & 3
	m_wait_sound :1	
	m_call :2
	.endm

;	.macro m_mark
;	m_call mark
;	.endm

	m_wait_call 1 bank1.cart.effect.stage.init	;Enable bars

	.local iso			;Start of "ISO"
	start = 2

	m_start_local iso

	m_start_at 0,44,0		;"I"		
	m_wait 8
	m_start_at 1,60,32		;"S"
	m_position_at 2,44,0		;"I"		
	m_wait 8
	m_start_at 0,92,0		;"O"
	m_move 2,direction.down,32,0	;"I"	
	m_move 1,direction.right,16,16	;"S"
	m_move 0,direction.right,16	;"O"	
	m_move 1,direction.up,16,16	;"S"
	m_move 0,direction.down,32	;"O"
	m_move 1,direction.left,16,16	;"S"
	m_move 1,direction.up,16,16	;"S"
	m_move 0,direction.left,16,0	;"O"
	m_move 1,direction.right,16,16	;"S"
	m_move 0,direction.up,32,32	;"O"

	m_wait_call 4 logo.init		;Animate ISO logo transition

	.endl				;End of iso

	.local ribbon			;Start of "RIBBON"
	start = 8

	m_start_local ribbon		;Logo is fading and bouncing up here.

	m_call init.next
	m_start_at 0,12,32		;"R"
	m_wait 16
	m_start_at 1,36,0		;"I"
	m_move 0,direction.up,32,0	;"R"
	m_wait 16
	m_position_at 2,36,0		;"I"
	m_move 2,direction.down,32,16	;"I"
	m_start_at 1,48,16		;"B"
	m_move 0,direction.right,12,12	;"R"
	m_move 0,direction.down,8,4	;"R"
	m_move 1,direction.right,16,12	;"B"
	m_position_at 2,60,16		;"B"
	m_move 2,direction.up,16,4	;"B"
	m_move 1,direction.down,16,12	;"B"
	m_move 2,direction.left,12,4	;"B"
	m_start_at 0,76,16		;"B", 2nd
	m_move 1,direction.left,16,8	;"B"

	m_move 2,direction.down,16,8	;"B"
	m_move 1,direction.up,16	;"B"
	m_move 0,direction.right,16,12	;"B"
	m_position_at 2,88,16		;"B"
	m_move 2,direction.up,16,4	;"B"
	m_start_at 1,104,0		;"O"
	m_move 0,direction.down,16,12	;"B"
	m_move 2,direction.left,12,4	;"B"
	m_move 1,direction.right,12	;"O"
	m_move 0,direction.left,16,8	;"B"
	m_move 2,direction.down,16,4	;"B"
	m_move 1,direction.down,32,4	;"O"	
	m_move 0,direction.up,16,16	;"B"
	m_start_at 0,128,32		;"N"
	m_wait 12
	m_move 1,direction.left,12,4	;"O"
	m_move 0,direction.up,32,8	;"N"
	m_move 1,direction.up,32,24	;"O"
	m_move 0,direction.right,12,12	;"N"
	m_move 0,direction.down,32,32	;"N"

	m_wait_sound start+3 fall
	m_wait $2a
	m_wait $23
	m_fall
;	m_mark

	.if .not .def text_test
	m_wait_call start+8 bank2.cart.effect.ribbon.init
	m_wait_call start+10 bank2.flash_fade.out
;	m_mark

	m_call bank2.cart.effect.ribbon.init.next
	m_wait_call start+13 bank2.flash_fade.out
;	m_mark
	m_call bank2.cart.effect.ribbon.init.next
	m_wait $36
	m_wait $2b
	m_wait_call start+15 bank2.flash_fade.out
;	m_mark
	.endif

	.endl				;End of ribbon

	.local plasma			;Start of "PLASMA"
	start = 24
	m_start_local plasma1

	m_call init.next
	m_start_at 0,4,32		;"P"
	m_wait 8
	m_start_at 1,28,0		;"L"
	m_wait 8
	m_move 0,direction.up,32,8	;"P"
	m_move 1,direction.down,32,8	;"L"
	m_position_at 2,4,16		;"P"
	m_move 2,direction.right,12,12	;"P"
	m_move 2,direction.up,16,4	;"P"
	m_move 0,direction.right,12,8	;"P"
	m_move 1,direction.right,12,8	;"L"

	m_start_at 0,52,32		;"A"
	m_wait 8
	m_start_at 1,76,32		;"S"
	m_wait 8
	m_move 0,direction.up,16,0	;"A"
	m_wait 8
	m_move 1,direction.right,12,8	;"S"

	m_move 0,direction.right,12,0	;"A"
	m_position_at 2,52,16		;"A"
	m_move 2,direction.up,16,4	;"A"
	m_move 1,direction.up,16,8	;"S"
	m_move 0,direction.down,16,4	;"A"
	m_move 2,direction.right,12,4	;"A"
	m_move 1,direction.left,12,8	;"S"
	m_start_at 0,112,16		;"M"
	m_move 2,direction.down,8,4	;"A"
	m_move 1,direction.up,16,12	;"S"
	m_move 0,direction.up,16,4	;"M"
	m_move 1,direction.right,12,12	;"S"
	m_start_at 1,136,32		;"A"
	m_wait 4
	m_move 0,direction.right,12,0	;"M"
	m_position_at 2,112,0
	m_move 2,direction.left,12,12	;"M"
	m_move 0,direction.down,32,0	;"M"
	m_move 2,direction.down,32,0	;"M"
	m_move 1,direction.up,32,32	;"A"
	m_move 1,direction.right,12,12	;"A"
	m_move 1,direction.down,32,16	;"A"
	m_position_at 2,148,16		;"A"
	m_move 2,direction.left,4,16	;"A"
	m_wait_sound start+3
	m_wait $3e
	m_fall
;	m_mark

	.if .not .def text_test
	m_wait_call start+8 bank2.cart.effect.chunky.plasma1.init.one
	m_wait_call start+10 bank2.cart.effect.chunky.plasma2.init
	m_wait_call start+13 bank2.cart.effect.chunky.plasma1.init.two
	.endif

	.endl				;End of plasma

	.local twist			;Start of "TWIST"
	start = 40

	m_start_local twist

	m_call init.next
	m_start_at 0,24,32		;"T"
	m_wait 8
	m_start_at 1,44,0		;"W"
	m_wait 8
	m_move 0,direction.up,32,8	;"T"
	m_move 1,direction.down,32,24	;"W"
	m_position_at 2,24,0		;"T"
	m_move 0,direction.right,8,0	;"T"
	m_move 2,direction.left,8,8	;"T"
	m_start_at 0,80,0		;"I"
	m_move 1,direction.right,24,12	;"W"
	m_position_at 2,56,32		;"W"
	m_move 2,direction.up,16,4	;"W"
	m_move 0,direction.down,32,8	;"I"
	m_move 1,direction.up,32,24	;"W"
	m_start_at 0,92,32		;"S"
	m_wait 8
	m_start_at 1,116,0		;"T"
	m_wait 8
	m_move 0,direction.right,12,0	;"S"
	m_wait 8
	m_move 1,direction.right,16,0	;"T"
	m_wait 4
	m_move 0,direction.up,16,0	;"S"
	m_wait 4
	m_position_at 2,124,0		;"T"
	m_move 2,direction.down,32,12	;"T"
	m_move 0,direction.left,12,12	;"S"
	m_move 0,direction.up,16,16	;"S"
	m_move 0,direction.right,12,12	;"S"
	m_wait_sound start+3
	m_wait $2e
	m_fall
;	m_mark

	.if .not .def text_test
	m_wait_call start+6 bank2.cart.effect.twister.init	;$2e
	m_wait_call start+9 bank2.cart.effect.twister.init.fade
	m_call bank2.cart.effect.twister.init.next
	m_wait_call start+12 bank2.cart.effect.twister.init.fade
	m_call bank2.cart.effect.twister.init.next
	m_wait_sound start+15
	m_wait $12
	m_call bank2.cart.effect.twister.init.fade
;	m_mark
	.endif

	.endl				;End of twist

	.local twirl			;Start of "TWIRL"
	start = 56

	m_start_local twirl

	m_call init.next
	m_start_at 0,24,32		;"T"
	m_wait 8
	m_start_at 1,44,0		;"W"
	m_wait 8
	m_move 0,direction.up,32,8	;"T"
	m_move 1,direction.down,32,24	;"W"
	m_position_at 2,24,0		;"T"
	m_move 0,direction.right,8,0	;"T"
	m_move 2,direction.left,8,8	;"T"
	m_start_at 0,80,0		;"I"
	m_move 1,direction.right,24,12	;"W"
	m_position_at 2,56,32		;"W"
	m_move 2,direction.up,16,4	;"W"
	m_move 0,direction.down,32,8	;"I"
	m_move 1,direction.up,32,24	;"W"
	m_start_at 0,92,32		;"R"
	m_wait 8
	m_start_at 1,116,0		;"L"
	m_wait 8
	m_move 0,direction.up,32,8	;"R"
	m_move 1,direction.down,32,24	;"L"
	m_move 0,direction.right,12,8	;"R"
	m_move 1,direction.right,16,4	;"L"
	m_move 0,direction.down,8,8	;"R"
;	m_wait 4
	m_wait_sound start+3
	m_wait $3d
	m_fall
;	m_mark

	.if .not .def text_test
	m_wait_call start+8 bank2.cart.effect.chunky.rotator.init
	m_wait_call start+12 bank2.cart.effect.chunky.rotator.init.circle
	m_wait_call start+16 bank2.cart.effect.chunky.rotator.init.twirl
	.endif
	
	.endl				;End of twirl

	.local scroll			;Start of "SCROLL"
	start = 76

	m_start_local scroll

	m_call init.next
	m_start_at 0,8,32		;"S"
	m_wait 8
	m_start_at 1,44,0		;"C"
	m_wait 8
	m_start_at 0,56,32		;"R"
	m_position_at 2,8,32		;"S"
	m_move 2,direction.right,12,8
	m_move 1,direction.left,12,4	;"C"
	m_move 2,direction.up,16,4	;"S"
	m_move 0,direction.up,32,4	;"R"
	m_move 1,direction.down,32,8	;"C"
	m_move 2,direction.left,12,12	;"S"
	m_move 2,direction.up,16,8	;"S"
	m_move 0,direction.right,12,4	;"R"
	m_move 1,direction.right,12,4	;"C"
	m_move 2,direction.right,12,4	;"S"
	m_move 0,direction.down,8,4	;"R"
	m_start_at 1,80,0		;"O"
	m_wait 8
	m_start_at 0,104,0		;"L"
	m_wait 8
	m_position_at 2,80,0		;"O"
	m_start_at 1,128,0		;"L", 2nd
	m_move 2,direction.down,32,8	;"O"
	m_move 0,direction.down,32,8	;"L"
	m_move 1,direction.down,32,16	;"L", 2nd
	m_move 2,direction.right,12,8	;"O"
	m_move 0,direction.right,12,4	;"L"
	m_move 2,direction.up,32,4	;"O"
	m_move 1,direction.right,12,28	;"L", 2nd
	m_move 2,direction.left,4,4	;"O"
	m_wait_sound start+3
	m_wait $11
	m_fall
;	m_mark

	.if .not .def text_test
	m_wait_call start+6 bank2.cart.effect.scroll.init
	.endif

	.endl				;End of scroll

	.local finish
	start = 104
	m_start_local finish 
	m_call init.next					;Disable effect, playfield without bar
	m_wait_call start+3 init.last
	m_wait_call start+4 bank1.cart.effect.stage.init	;Disable bars together with logo
	m_wait_call start+6 bank1.cart.effect.stage.stop	;End of demo
	.endl

;	.proc mark
;	rts
;	.endp
